/* ------------------------------------------------------------------------ */
/*                                                                          */
/* [prs_io.h]       LALR(1) Parser/Generator: parse table input/output      */
/*                                                                          */
/* Copyright (c) 1993 by D\olle, Manns                                      */
/* ------------------------------------------------------------------------ */

/* File generated by 'ctoh'. Don't change manually. */

#ifndef prs_io_INCL
#define prs_io_INCL


#include "prs_dfn.h"


#ifdef __cplusplus
extern "C" {
#endif


/*  
   This module provides functions that
   1) generate a C module for a given parse table
   2) unload a parse table to a binary image file
   3) load a parse table from a binary image file.
*/

/* ------------------------------ C-Module ---------------------------------- */

void PLR_printCTab(c_string Environ, PLR_Tab PTab)
/* creates source [$'Environ'/]<Language>_pim.c for parse table 'PTab' */
;


/* ---------------------------- Binary Image -------------------------------- */

void PLR_putTab_bin(PLR_Tab PTab)
/* unloads parse table 'PTab'
   to the current ( previously opened ) image
*/
;

void PLR_putTab(c_string Environ, PLR_Tab PTab)
/* unloads parse table 'PTab' to image [$'Environ'/]<Language>.pim */
;

PLR_Tab PLR_getTab_bin(void)
/* loads a parse table
   from the current ( previously opened ) image
*/
;

PLR_Tab PLR_getTab(c_string Language)
/* loads a parse table named 'Language'
   from image [$PATH/]<Language>.pim
*/
;



#ifdef __cplusplus
}
#endif

#endif
